ru.bitel.bgbilling.kernel.network.radius

## Class RadiusAttribute.RadiusAttributeInteger

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<V>,V>
  - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<java.lang.Integer>
    - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeInteger

- Direct Known Subclasses:
    RadiusAttribute.RadiusAttributeIpAddr
  Enclosing class:
    RadiusAttribute<V>

      public static class RadiusAttribute.RadiusAttributeInteger
      extends RadiusAttribute<java.lang.Integer>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `tag`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `data, info, length, value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RadiusAttributeInteger(int vendor, int type, int value)`
    `` | `RadiusAttributeInteger(int vendor, int type, int tag, int value)`
    `protected` | `RadiusAttributeInteger(RadiusAttributeInfo<java.lang.Integer> info, int tag, java.nio.ByteBuffer data)`
    `` | `RadiusAttributeInteger(RadiusAttributeInfo<java.lang.Integer> info, int tag, int value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadiusAttribute.RadiusAttributeInteger` | `clone()`
    `int` | `getIntValue()` Deprecated. use `Tlv.getValue()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `getTag, toString, toString, write`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `getData, getDataAsByteArray, getLength, getValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAttributeInteger

          protected RadiusAttributeInteger(RadiusAttributeInfo<java.lang.Integer> info,
                                           int tag,
                                           java.nio.ByteBuffer data)

    - #### RadiusAttributeInteger

          public RadiusAttributeInteger(RadiusAttributeInfo<java.lang.Integer> info,
                                        int tag,
                                        int value)

    - #### RadiusAttributeInteger

          public RadiusAttributeInteger(int vendor,
                                        int type,
                                        int value)

    - #### RadiusAttributeInteger

          public RadiusAttributeInteger(int vendor,
                                        int type,
                                        int tag,
                                        int value)

  - ### Method Detail

    - #### getIntValue

          @Deprecated
          public final int getIntValue()

      Deprecated. use `Tlv.getValue()`
      Для обратной совместимости.
      Returns:

    - #### clone

          public RadiusAttribute.RadiusAttributeInteger clone()

      Overrides:
        `clone` in class `RadiusAttribute<java.lang.Integer>`